Package com.destroystokyo.paper

# Class ClientOption<T>

java.lang.Object
com.destroystokyo.paper.ClientOption<T>

public final class ClientOption<T> extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ClientOption.ChatVisibility`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ClientOption<Boolean>`
`ALLOW_SERVER_LISTINGS`
`static final ClientOption<Boolean>`
`CHAT_COLORS_ENABLED`
`static final ClientOption<ClientOption.ChatVisibility>`
`CHAT_VISIBILITY`
`static final ClientOption<String>`
`LOCALE`
`static final ClientOption<MainHand>`
`MAIN_HAND`
`static final ClientOption<SkinParts>`
`SKIN_PARTS`
`static final ClientOption<Boolean>`
`TEXT_FILTERING_ENABLED`
`static final ClientOption<Integer>`
`VIEW_DISTANCE`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Class<T>`
`getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SKIN_PARTS

public static final ClientOption<SkinParts> SKIN_PARTS

### CHAT_COLORS_ENABLED

public static final ClientOption<Boolean> CHAT_COLORS_ENABLED

### CHAT_VISIBILITY

public static final ClientOption<ClientOption.ChatVisibility> CHAT_VISIBILITY

### LOCALE

public static final ClientOption<String> LOCALE

### MAIN_HAND

public static final ClientOption<MainHand> MAIN_HAND

### VIEW_DISTANCE

public static final ClientOption<Integer> VIEW_DISTANCE

### ALLOW_SERVER_LISTINGS

public static final ClientOption<Boolean> ALLOW_SERVER_LISTINGS

### TEXT_FILTERING_ENABLED

public static final ClientOption<Boolean> TEXT_FILTERING_ENABLED

## Method Details

### getType

@NotNull public @NotNull Class<T> getType()